=== debian/changelog ===
arb (5.3-4ubuntu2) quantal; urgency=low

  * Fix build failure on ARM.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Oct 2012 16:24:57 +0200

arb (5.3-4ubuntu1) quantal; urgency=low

  * Transition to libglew-dev (1.8)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 09 Sep 2012 01:22:54 +0100

arb (5.3-4) unstable; urgency=low

  * debian/upstream: Add citations
  * debian/control:
     - Build-Depends: libpng-dev instead of libpng12-dev
       Closes: #662270
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/po/nl.po: Add Dutch translation of debconf templates
    Thanks for the translation to Jeroen Schot <schot@A-Eskwadraat.nl>
    Closes: #654763
  * debian/patches/30_Makefile_main:
     - Enable gcc-4.7 as well
       Closes: #682404
     - Enable using hardening flags
  * debian/patches/gcc-4.7.patch: Fix gcc-4.7 build issue
  * debhelper 9 (control+compat)
  * debian/rules:
     - Fixed clean target
     - propagate hardening flags

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2012 12:15:21 +0200

arb (5.3-3) unstable; urgency=low

  * debian/control:
     - Build-Depends: time 
       Strangely enough this is not needed in local pbnuilder/sbuild
       environments but on autobuilders this seems to be a problem
       according to comparing the build logs
     - Build-Depends: libbio-perl-perl
       Otherwise some not-critical checks will fail
  * debian/arb.prerm: Care for removal of conffile link created in postinst
    Closes: #656035
  * debian/rules:
     - clean up some manual handling of files and dirs which is not
       needed any more with recent versions
     - insert check which verifies that binary-indep target is really
       builded and changed files and dirs are previousely created
       Closes: #658691

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2012 13:44:22 +0100

arb (5.3-2) unstable; urgency=low

  * debian/arb.README.Debian: Dropped molphy related notice
  * debian/control:
    - Remove Build-Depends: x11proto-print-dev
    - Remove at least explicite Build-Depends: libxp-dev
      Closes: #623638
  * debian/{control,rules}: Remove quilt which is unneeded when
    using source format 3.0 (quilt)
  * debian/po/ca.po: Catalan translation (thanks to Innocent De Marchi
    <tangram.peces@gmail.com>)
    Closes: #632206

 -- Andreas Tille <tille@debian.org>  Thu, 15 Dec 2011 17:00:46 +0100

arb (5.3-1) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Fix FTBFS: replaced sablotron by xsltproc in debian/control
    (Closes: #634999)
  * Replaced arb dependency on the ssh metapackage by openssh-client only

  [ Andreas Tille ]
  * New upstream version (including updateing debian/patches/*)
    This version doese not depend from molphy any more
  * debian/control
    - Do not depend from molphy which is removed from Debian any more
    - Standards-Version: 3.9.2 (no changes needed)
    - Fixed Vcs fields
  * Debhelper 8 (control+compat)
  * debian/copyright: several DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2011 11:46:22 +0100

arb (5.2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * New debconf translations
    - Vietnamese (thanks to Clytie Siddall <clytie@riverland.net.au>)
      Closes: #576020
    - Danish (thanks to Joe Dalton <joedalton2@yahoo.dk>)
      Closes: #584283
    - Brazilian Portuguese (thanks to Gustavo Jordan
      <gustavojcbrasil@gmail.com>)
      Closes: #596647
  * Drop xview-clients Suggests in debian/control and replace any occurence
    of textedit (which is part of xview-clients) by editor via
    debian/patches/no_xview_dependency.patch
    Closes: 612534
  * debian/patches/20_Makefiles: clean up some errors in clean target
  * debian/patches/20_config.makefiles: Really get the DEB_BUILD_ARCH_BITS
    applied
  * Build-Depends: time

 -- Andreas Tille <tille@debian.org>  Wed, 09 Feb 2011 16:56:15 +0100

arb (5.1-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
    Closes: #522021
  * debian/control:
    - Package arb-doc in non-free/doc
    - Standards-Version: 3.8.4 (Added README.source)
    - Build-Depends: dpkg-dev (>= 1.15.4) to make use of
      `dpkg-architecture -qDEB_BUILD_ARCH_BITS` in Makefile
    - Build-Depends: xutils-dev
    - arb Recommends: bioperl
    - arb Suggests: phyml
    - Build-Depends: openjdk-6-jdk instead of kaffe which might be subject
      of removal from Debian in the near future
  * Removed / changed patches which were applied upstream
    - debian/patches/ARB_release200712_gcc4.3.1.patch removed
    - debian/patches/20_replace_rxp_by_xmllint.patch removed
    - debian/patches/tmpfile_CVE-2008-5378.patch removed applied part
  * debian/{rules,*.install}: Cleanup regarding changes in new upstream version
  * debian/arb.README.debian:
    - Removed useless warning about prereleases
    - Added hint about different phyml versions
  * debian/patches/10_gcc_4.4.3.patch: compile with gcc-4.4.3
  * debian/rules: Add ARBHOME variable explicitly to clean target
  * Added Finish debconf translation (Thanks to Esko Arajärvi <edu@iki.fi>)
    Closes: #536516
  * Added Galician debconf translation (Thanks to marce
    <mvillarino@gmail.com>)
    Closes: #537534
  * Added Japanese debconf translation (Thankse to Hideki Yamane
    <henrich@debian.or.jp>)
    Closes: #554882
  * Added: Spanish debconf translation (Thanks to Francisco Javier Cuadrado
    <fcocuadrado@gmail.com>)
    Closes: #573005
  * Switch to source format 3.0

  [ David Paleino ]
  * Removed myself from Uploaders
  * New watch file

 -- Andreas Tille <tille@debian.org>  Tue, 23 Mar 2010 14:37:30 +0100

arb (0.0.20071207.1-7) unstable; urgency=low

  * Bumped debhelper to version 7
     -> dh_clean -k -> dh_clean; dh_prep
  * Standards-Version: 3.8.1 (no changes needed)
  * Enhanced package description of arb-common and arb-doc
    Closes: #517710
  * Added Portuguese translation for debconf messages (thanks to

