=== debian/control ===
Source: arb
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: chrpath,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.4),
               freeglut3-dev | libglu-dev,
               libbio-perl-perl,
               libglew-dev,
               libglw1-mesa-dev,
               libmotif-dev,
               libpng-dev,
               libtiff4-dev,
               libxaw7-dev,
               libxml2-utils,
               libxpm-dev,
               lynx,
               time,
               openjdk-6-jdk | default-jdk,
               perl-doc,
               xsltproc,
               xutils-dev
Standards-Version: 3.9.3
Homepage: http://www.arb-home.de/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/arb/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/arb/trunk/
XS-Autobuild: yes

Package: arb
Architecture: any
Depends: arb-common (= ${source:Version}),
         fastdnaml (>= 1.2.2-4),
         libarb (= ${binary:Version}),
         openssh-client,
         phylip (>= 3.6b),
         readseq (>= 1-1),
         transfig,
         tree-puzzle (>=5.0-3),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bioperl, xfig
Suggests: arb-database, gnuplot, gv, phyml
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 The ARB project (latin, "arbor"=tree) is a joint initiative of the Lehrstuhl
 fuer Mikrobiologie http://www.mikro.biologie.tu-muenchen.de/ and the
 Lehrstuhl fuer Rechnertechnik und Rechnerorganisation
 http://wwwbode.informatik.tu-muenchen.de/ of the Technical University
 of Munich.

Package: libarb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: arb
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 The ARB project (latin, "arbor"=tree) is a joint initiative of the Lehrstuhl
 fuer Mikrobiologie http://www.mikro.biologie.tu-muenchen.de/ and the
 Lehrstuhl fuer Rechnertechnik und Rechnerorganisation
 http://wwwbode.informatik.tu-muenchen.de/ of the Technical University
 of Munich.
 .
 This package contains the dynamic libraries which are used by arb.

Package: arb-common
Architecture: all
Depends: adduser,
         arb-doc (= ${source:Version}),
         ghostscript | postscript-preview,
         gv | postscript-viewer,
         perl-modules,
         ${misc:Depends},
         ${perl:Depends}
Recommends: arb
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 This package contains the architecture independent scripts of Arb.

Package: arb-doc
Architecture: all
Section: non-free/doc
Depends: ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${misc:Depends}
Suggests: arb
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 This package contains the documentation for the package arb.
